/**
  Se citește un șir de maxim 255 de caractere. Se consideră separator orice caracter care
nu este literă.
  Să se afișeze toate perechile de cuvinte (dacă am luat cuvintele în ordinea a,b NU le mai
luăm și b,a) care sunt anagrame.
  Se face abstracție de litere mari / litere mici.

  Două cuvinte se consideră anagrame dacă NU sunt identice dar sunt formate din aceleași litere,
care apar de același număr de ori.
Ex:
Ina si Ani ? au un cal în LAC si calca rufe!!!...
Răspuns:
Ina Ani
cal LAC
*/
#include <iostream>
#include <cstring>
using namespace std;

///facem o funcție care să verifice dacă două striguri sunt anagrame
int anagrame(char s1[],char s2[])
{///facem câte un vector de frecvență pentru fiecare dintre cuvinte,
///în care marcăm literele mari corespunzătoare.
  ///dacă vectorii sunt egali => sunt anagrame
  if(strcmpi(s1,s2)==0)return 0;
  ///strcmpi este ca strcmp doar că IGNORĂ case-ul deci mai sus
  ///verific faptul că nu sunt identice, abstracție făcând de litere mari / mici
  int i,fr1[100]={0},fr2[100]={0};
  for(i=0;s1[i];i++)
        fr1[toupper(s1[i])]++;
  for(i=0;s2[i];i++)
        fr2[toupper(s2[i])]++;
  for(i='A';i<='Z';i++)
        if(fr1[i]!=fr2[i])return 0;
  return 1;
}

int main()
{
    cout << anagrame("pasa","apsa");
    return 0;
}
